ObjectData = 
{
	MotionModel = 
	{
		DefaultAnimation = [[normal]],
		Motions = 
		{
			motion2 = 
			{
				Animations = 
				{
					anim1 = 
					{
						Path = [[DATA:Animations\Choco Cloud\choco_cloud_toolbar.anim]],
						Name = [[choco_cloud_toolbar]],
						MinFreq = 1.000000,
						MaxFreq = 1.000000,
					},
				},
				Name = [[toolbar]],
			},
			motion1 = 
			{
				Animations = 
				{
					anim1 = 
					{
						Path = [[DATA:Animations\Choco Cloud\choco_cloud_idle.anim]],
						Name = [[choco_cloud_normal]],
						MinFreq = 1.000000,
						MaxFreq = 1.000000,
					},
				},
				Name = [[normal]],
			},
			motion3 = 
			{
				Animations = 
				{
					anim1 = 
					{
						Path = [[DATA:Animations\Choco Cloud/choco_cloud_alt.anim]],
						Name = [[choco_cloud_alt]],
						MinFreq = 1.000000,
						MaxFreq = 1.000000,
					},
				},
				Name = [[alt_collision]],
			},
		},
	},
	Extensions = 
	{
		CanHaveThingsAttachedExtension = 
		{
			x_radius = 41.000000,
			y_radius = 29.000000,
		},
		PhysicsExtension = 
		{
			mass = 100.000000,
		},
		LevelEditorExtension = 
		{
		},
		PositionExtension = 
		{
			foreground = true,
			background = true,
		},
		AltCollisionExtension = 
		{
		},
	},
}


-- Begin Scripting -- 

help_text_header = "$00609"
help_text = "$00610"

function OnInit()	 	
	this:EnablePhysics( false )
	this:SetAltCollision("choco_cloud_alt")
	math.randomseed( this:GetID() )
	math.random() --don't know why, but this line is needed or else they're all the same
	local frame_index = math.random(this:GetMotionModel():GetCurrentMotion():GetCurrentAnim():FrameCount())
	this:GetMotionModel():GetCurrentMotion():GetCurrentAnim():SetCurrentFrameIndex(frame_index) 
end  

function Update() 	
	--FX_SpawnEffect( "rain", this:GetPosition() ) 
end 